site_name: Grupo 4 - Helios CW1 - Limpador de Painéis Solares
repo_url: "https://gitlab.com/fga-pi2/semestre-2024-1/grupo-05/relatorio/" 

theme:
  name: material
  logo: assets/images/pi2.png
  favicon: assets/images/pi2.png
  features:
    - navigation.tabs
    - toc.integrate
    - content.tabs.link
    - navigation.footer
  palette:
    # Palette toggle for light mode
    - scheme: default
      primary: white
      accent: light blue
      toggle:
        icon: material/brightness-7
        name: Switch to dark mode

    # Palette toggle for dark mode
    - scheme: slate
      primary: black
      accent: light blue
      toggle:
        icon: material/brightness-4
        name: Switch to light mode
  extra:
    social:
      - icon: fontawesome/brands/gitlab
        link: https://gitlab.com/fga-pi2/semestre-2024-1/grupo-05/relatorio/

# https://squidfunk.github.io/mkdocs-material/customization/
extra_css:
  - styles/extra.css

plugins:
  - search
  - pdf-export:
      combined: true
      media_type: print
      verbose: false
    
markdown_extensions:
  - md_in_html
  - admonition
  - pymdownx.details
  - pymdownx.critic
  - attr_list
  - pymdownx.tabbed:
      alternate_style: true
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format

nav:
  - Home: 'index.md'
  - 'Visão Geral': 'visaogeral.md'
  - 'Requisitos/Arquitetura': 
    - 'Requisitos': 'requisitos-arquitetura.md' 
    - 'Arquitetura Geral': 'arquitetura.md'
    - 'Arquitetura Subsistema 01 - Estrutura': 'arquiteturaS01.md'
    - 'Arquitetura Subsistema 02 - Mecânica': 'arquiteturaS02.md'
    - 'Arquitetura Subsistema 03 - Limpeza': 'arquiteturaS05.md'
    - 'Arquitetura Subsistema 04 - Elétrico': 'arquiteturaS03.md'
    - 'Arquitetura Subsistema 05 - Software': 'arquiteturaS04.md'
    
  - 'Prova de Conceito':
    - 'Subsistema Estrutural': 'prova-de-conceito-estrutural.md'
    - 'Subsistema Mecânico': 'prova-de-conceito-mecanico.md'
    - 'Subsistema de Limpeza': 'prova-de-conceito-limpeza.md'
    - 'Subsistema Eletrônico': 'prova-de-conceito-eletronica.md'
    - 'Subsistema de Energia': 'prova-de-conceito-energia.md'
    - 'Subsistema de Software': 'prova-de-conceito-software.md'
    
  - 'Integração': 'integracao.md'
  - 'Apendices':
    - 'Apendice 01 - Aspectos de gerenciamento do projeto': 'apendice1.md'
    - 'Apendice 02 - Desenhos Técnicos mecânicos': 'apendice2.md'
    - 'Apendice 03 - Diagramas elétricos e eletrônicos': 'apendice3.md'
    - 'Apendice 04 - Documentação de software': 'apendice5.md'
    - 'Apêndice 05 - Memorial de decisões de desenvolvimento de software': 'apendice7.md'
    - 'Apêndice 06 - Manual de Montagem e Uso do Produto': 'apendice-manual-uso.md'
    - 'Apendice 07 - Manual de Manutenção do Produto': 'apendice-manual-manutencao.md'
  - 'Bibliografia': 'bib.md'
  - 'Autoavaliação':
    - 'PC1': 'avaliacao-pc1.md'
    - 'PC2': 'avaliacao-pc2.md'
    - 'PC3': 'avaliacao-pc3.md'
  - 'Anexos': 'anexo.md'